edu.isi.pegasus.common.logging

## Class LoggingKeys

- java.lang.Object
- - edu.isi.pegasus.common.logging.LoggingKeys

    public class LoggingKeys
    extends java.lang.Object

Some predifined logging keys to be used for logging.

Version:
  $Revision$
Author:
  Karan Vahi, gmehta

### Field Summary

Fields
`static java.lang.String` `DAG_ID`
`static java.lang.String` `DAX_ID`
`static java.lang.String` `EVENT_ENSEMBLE_EXECUTE`
`static java.lang.String` `EVENT_ENSEMBLE_PLANNING`
`static java.lang.String` `EVENT_ENSEMBLE_RANKING`
`static java.lang.String` `EVENT_ENSEMBLE_WG`
`static java.lang.String` `EVENT_ID_KEY`
`static java.lang.String` `EVENT_PEGASUS_ADD_DATA_DEPENDENCIES`
`static java.lang.String` `EVENT_PEGASUS_ADD_TRANSFER_NODES`
`static java.lang.String` `EVENT_PEGASUS_AUTHENTICATION`
`static java.lang.String` `EVENT_PEGASUS_CLUSTER`
`static java.lang.String` `EVENT_PEGASUS_CODE_GENERATION`
`static java.lang.String` `EVENT_PEGASUS_GENERATE_CLEANUP`
`static java.lang.String` `EVENT_PEGASUS_GENERATE_CLEANUP_WF`
`static java.lang.String` `EVENT_PEGASUS_GENERATE_WORKDIR`
`static java.lang.String` `EVENT_PEGASUS_LOAD_DIRECTORY_CACHE`
`static java.lang.String` `EVENT_PEGASUS_LOAD_TRANSIENT_CACHE`
`static java.lang.String` `EVENT_PEGASUS_PARSE_DAX`
`static java.lang.String` `EVENT_PEGASUS_PARSE_PDAX`
`static java.lang.String` `EVENT_PEGASUS_PARSE_SITE_CATALOG`
`static java.lang.String` `EVENT_PEGASUS_PARTITION`
`static java.lang.String` `EVENT_PEGASUS_PLAN`
`static java.lang.String` `EVENT_PEGASUS_RANKING`
`static java.lang.String` `EVENT_PEGASUS_RANKING_RETRIEVE_DAX`
`static java.lang.String` `EVENT_PEGASUS_REDUCE`
`static java.lang.String` `EVENT_PEGASUS_REFINEMENT`
`static java.lang.String` `EVENT_PEGASUS_SITESELECTION`
`static java.lang.String` `EVENT_QUERY_DATACATALOG`
`static java.lang.String` `EVENT_QUERY_PROCESSCATALOG`
`static java.lang.String` `EVENT_WORKFLOW_JOB_STATUS`
`static java.lang.String` `EVENTS_PEGASUS_CODE_GENERATION`
`static java.lang.String` `EVENTS_PEGASUS_STAMPEDE_GENERATION`
`static java.lang.String` `FILE_OUTPUT_CONTENTS`
`static java.lang.String` `FILE_OUTPUT_NAME`
`static java.lang.String` `FILE_PRIORTY`
`static java.lang.String` `FILE_TYPE`
`static java.lang.String` `JOB_ARGUMENTS`
`static java.lang.String` `JOB_ENVIRONMENTVARIABLE`
`static java.lang.String` `JOB_EXITTCODE`
`static java.lang.String` `JOB_ID`
`static java.lang.String` `JOB_NUMBER`
`static java.lang.String` `JOB_RESOURCE_INFORMATION`
`static java.lang.String` `PERFMETRIC_CPU_UTILIZATION`
`static java.lang.String` `PERFMETRIC_MEMORY_UTILIZATION`
`static java.lang.String` `PERFMETRIC_NETWORK_BANDWIDTH`
`static java.lang.String` `PERFMETRIC_TIME_DURATION`
`static java.lang.String` `PORTFOLIO_ID`
`static java.lang.String` `QUERY_ARGUMENTS`
`static java.lang.String` `QUERY_ID`
`static java.lang.String` `QUERY_INPUT`
`static java.lang.String` `QUERY_NAME`
`static java.lang.String` `QUERY_NUMBER`
`static java.lang.String` `QUERY_OUTPUT`
`static java.lang.String` `QUERY_RESPONSE`
`static java.lang.String` `REQUEST_ID`
`static java.lang.String` `SEED_ID`
`static java.lang.String` `SEED_NAME`
`static java.lang.String` `SYSTEM_ARCHITECTURE`
`static java.lang.String` `SYSTEM_HOSTADDR`
`static java.lang.String` `SYSTEM_HOSTNAME`
`static java.lang.String` `SYSTEM_NODENAME`
`static java.lang.String` `SYSTEM_NUMBEROFPROCESSORS`
`static java.lang.String` `SYSTEM_OS`
`static java.lang.String` `TEMPLATE_ID`
`static java.lang.String` `TIME_END`
`static java.lang.String` `TIME_START`

### Constructor Summary

Constructors
Constructor and Description
`LoggingKeys()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EVENT_ID_KEY

    public static final java.lang.String EVENT_ID_KEY

See Also:
  Constant Field Values

#### PORTFOLIO_ID

    public static final java.lang.String PORTFOLIO_ID

See Also:
  Constant Field Values

#### REQUEST_ID

    public static final java.lang.String REQUEST_ID

See Also:
  Constant Field Values

#### DAX_ID

    public static final java.lang.String DAX_ID

See Also:
  Constant Field Values

#### DAG_ID

    public static final java.lang.String DAG_ID

See Also:
  Constant Field Values

#### JOB_NUMBER

    public static final java.lang.String JOB_NUMBER

See Also:
  Constant Field Values

#### JOB_ID

    public static final java.lang.String JOB_ID

See Also:
  Constant Field Values

#### SEED_ID

    public static final java.lang.String SEED_ID

See Also:
  Constant Field Values

#### TEMPLATE_ID

    public static final java.lang.String TEMPLATE_ID

See Also:
  Constant Field Values

#### SEED_NAME

    public static final java.lang.String SEED_NAME

See Also:
  Constant Field Values

#### EVENT_QUERY_PROCESSCATALOG

    public static final java.lang.String EVENT_QUERY_PROCESSCATALOG

See Also:
  Constant Field Values

#### EVENT_QUERY_DATACATALOG

    public static final java.lang.String EVENT_QUERY_DATACATALOG

See Also:
  Constant Field Values

#### EVENT_ENSEMBLE_RANKING

    public static final java.lang.String EVENT_ENSEMBLE_RANKING

See Also:
  Constant Field Values

#### EVENT_ENSEMBLE_PLANNING

    public static final java.lang.String EVENT_ENSEMBLE_PLANNING

See Also:
  Constant Field Values

#### EVENT_ENSEMBLE_WG

    public static final java.lang.String EVENT_ENSEMBLE_WG

See Also:
  Constant Field Values

#### EVENT_ENSEMBLE_EXECUTE

    public static final java.lang.String EVENT_ENSEMBLE_EXECUTE

See Also:
  Constant Field Values

#### EVENT_PEGASUS_RANKING

    public static final java.lang.String EVENT_PEGASUS_RANKING

See Also:
  Constant Field Values

#### EVENT_PEGASUS_RANKING_RETRIEVE_DAX

    public static final java.lang.String EVENT_PEGASUS_RANKING_RETRIEVE_DAX

See Also:
  Constant Field Values

#### EVENT_PEGASUS_REFINEMENT

    public static final java.lang.String EVENT_PEGASUS_REFINEMENT

See Also:
  Constant Field Values

#### EVENT_PEGASUS_AUTHENTICATION

    public static final java.lang.String EVENT_PEGASUS_AUTHENTICATION

See Also:
  Constant Field Values

#### EVENT_PEGASUS_PLAN

    public static final java.lang.String EVENT_PEGASUS_PLAN

See Also:
  Constant Field Values

#### EVENT_PEGASUS_REDUCE

    public static final java.lang.String EVENT_PEGASUS_REDUCE

See Also:
  Constant Field Values

#### EVENT_PEGASUS_SITESELECTION

    public static final java.lang.String EVENT_PEGASUS_SITESELECTION

See Also:
  Constant Field Values

#### EVENT_PEGASUS_ADD_TRANSFER_NODES

    public static final java.lang.String EVENT_PEGASUS_ADD_TRANSFER_NODES

See Also:
  Constant Field Values

#### EVENT_PEGASUS_CLUSTER

    public static final java.lang.String EVENT_PEGASUS_CLUSTER

See Also:
  Constant Field Values

#### EVENT_PEGASUS_PARTITION

    public static final java.lang.String EVENT_PEGASUS_PARTITION

See Also:
  Constant Field Values

#### EVENT_PEGASUS_GENERATE_CLEANUP

    public static final java.lang.String EVENT_PEGASUS_GENERATE_CLEANUP

See Also:
  Constant Field Values

#### EVENT_PEGASUS_GENERATE_CLEANUP_WF

    public static final java.lang.String EVENT_PEGASUS_GENERATE_CLEANUP_WF

See Also:
  Constant Field Values

#### EVENT_PEGASUS_GENERATE_WORKDIR

    public static final java.lang.String EVENT_PEGASUS_GENERATE_WORKDIR

See Also:
  Constant Field Values

#### EVENT_PEGASUS_CODE_GENERATION

    public static final java.lang.String EVENT_PEGASUS_CODE_GENERATION

See Also:
  Constant Field Values

#### EVENT_PEGASUS_LOAD_TRANSIENT_CACHE

    public static final java.lang.String EVENT_PEGASUS_LOAD_TRANSIENT_CACHE

See Also:
  Constant Field Values

#### EVENT_PEGASUS_LOAD_DIRECTORY_CACHE

    public static final java.lang.String EVENT_PEGASUS_LOAD_DIRECTORY_CACHE

See Also:
  Constant Field Values

#### EVENT_PEGASUS_PARSE_SITE_CATALOG

    public static final java.lang.String EVENT_PEGASUS_PARSE_SITE_CATALOG

See Also:
  Constant Field Values

#### EVENT_PEGASUS_PARSE_DAX

    public static final java.lang.String EVENT_PEGASUS_PARSE_DAX

See Also:
  Constant Field Values

#### EVENT_PEGASUS_PARSE_PDAX

    public static final java.lang.String EVENT_PEGASUS_PARSE_PDAX

See Also:
  Constant Field Values

#### EVENTS_PEGASUS_STAMPEDE_GENERATION

    public static final java.lang.String EVENTS_PEGASUS_STAMPEDE_GENERATION

See Also:
  Constant Field Values

#### EVENTS_PEGASUS_CODE_GENERATION

    public static final java.lang.String EVENTS_PEGASUS_CODE_GENERATION

See Also:
  Constant Field Values

#### EVENT_PEGASUS_ADD_DATA_DEPENDENCIES

    public static final java.lang.String EVENT_PEGASUS_ADD_DATA_DEPENDENCIES

See Also:
  Constant Field Values

#### EVENT_WORKFLOW_JOB_STATUS

    public static final java.lang.String EVENT_WORKFLOW_JOB_STATUS

See Also:
  Constant Field Values

#### QUERY_NUMBER

    public static final java.lang.String QUERY_NUMBER

See Also:
  Constant Field Values

#### QUERY_NAME

    public static final java.lang.String QUERY_NAME

See Also:
  Constant Field Values

#### QUERY_INPUT

    public static final java.lang.String QUERY_INPUT

See Also:
  Constant Field Values

#### QUERY_OUTPUT

    public static final java.lang.String QUERY_OUTPUT

See Also:
  Constant Field Values

#### QUERY_ID

    public static final java.lang.String QUERY_ID

See Also:
  Constant Field Values

#### QUERY_ARGUMENTS

    public static final java.lang.String QUERY_ARGUMENTS

See Also:
  Constant Field Values

#### QUERY_RESPONSE

    public static final java.lang.String QUERY_RESPONSE

See Also:
  Constant Field Values

#### FILE_OUTPUT_NAME

    public static final java.lang.String FILE_OUTPUT_NAME

See Also:
  Constant Field Values

#### FILE_OUTPUT_CONTENTS

    public static final java.lang.String FILE_OUTPUT_CONTENTS

See Also:
  Constant Field Values

#### FILE_PRIORTY

    public static final java.lang.String FILE_PRIORTY

See Also:
  Constant Field Values

#### FILE_TYPE

    public static final java.lang.String FILE_TYPE

See Also:
  Constant Field Values

#### TIME_START

    public static final java.lang.String TIME_START

See Also:
  Constant Field Values

#### TIME_END

    public static final java.lang.String TIME_END

See Also:
  Constant Field Values

#### SYSTEM_HOSTNAME

    public static final java.lang.String SYSTEM_HOSTNAME

See Also:
  Constant Field Values

#### SYSTEM_HOSTADDR

    public static final java.lang.String SYSTEM_HOSTADDR

See Also:
  Constant Field Values

#### SYSTEM_OS

    public static final java.lang.String SYSTEM_OS

See Also:
  Constant Field Values

#### SYSTEM_ARCHITECTURE

    public static final java.lang.String SYSTEM_ARCHITECTURE

See Also:
  Constant Field Values

#### SYSTEM_NODENAME

    public static final java.lang.String SYSTEM_NODENAME

See Also:
  Constant Field Values

#### SYSTEM_NUMBEROFPROCESSORS

    public static final java.lang.String SYSTEM_NUMBEROFPROCESSORS

See Also:
  Constant Field Values

#### JOB_EXITTCODE

    public static final java.lang.String JOB_EXITTCODE

See Also:
  Constant Field Values

#### JOB_ARGUMENTS

    public static final java.lang.String JOB_ARGUMENTS

See Also:
  Constant Field Values

#### JOB_ENVIRONMENTVARIABLE

    public static final java.lang.String JOB_ENVIRONMENTVARIABLE

See Also:
  Constant Field Values

#### JOB_RESOURCE_INFORMATION

    public static final java.lang.String JOB_RESOURCE_INFORMATION

See Also:
  Constant Field Values

#### PERFMETRIC_CPU_UTILIZATION

    public static final java.lang.String PERFMETRIC_CPU_UTILIZATION

See Also:
  Constant Field Values

#### PERFMETRIC_MEMORY_UTILIZATION

    public static final java.lang.String PERFMETRIC_MEMORY_UTILIZATION

See Also:
  Constant Field Values

#### PERFMETRIC_NETWORK_BANDWIDTH

    public static final java.lang.String PERFMETRIC_NETWORK_BANDWIDTH

See Also:
  Constant Field Values

#### PERFMETRIC_TIME_DURATION

    public static final java.lang.String PERFMETRIC_TIME_DURATION

See Also:
  Constant Field Values

### Constructor Detail

#### LoggingKeys

    public LoggingKeys()